# Table of Contents - RDoc Documentation

## Classes and Modules

- ExpressionParser
- ExpressionParser::Lexer
- ExpressionParser::Parser
- ExpressionParser::Token

## Methods

- ::new — ExpressionParser::Lexer
- ::new — ExpressionParser::Token
- #compare_expr — ExpressionParser::Parser
- #expression — ExpressionParser::Parser
- #factor — ExpressionParser::Parser
- #get_next_token — ExpressionParser::Lexer
- #number — ExpressionParser::Parser
- #parse — ExpressionParser::Parser
- #revert — ExpressionParser::Lexer
- #unknown? — ExpressionParser::Token